// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Deployment {
    
    
    public partial class FileReplaceDialog {
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label7;
        
        private Gtk.Image image1;
        
        private Gtk.Label label5;
        
        private Gtk.Label label6;
        
        private Gtk.Label label2;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label8;
        
        private Gtk.VBox vbox4;
        
        private Gtk.HBox hbox3;
        
        private Gtk.RadioButton radioReplace;
        
        private Gtk.VBox vbox5;
        
        private Gtk.Label replaceLabel;
        
        private Gtk.HBox hbox6;
        
        private Gtk.Label label25;
        
        private Gtk.Label sourceName;
        
        private Gtk.HBox hbox7;
        
        private Gtk.Label label26;
        
        private Gtk.Label sourceModified;
        
        private Gtk.HBox hbox4;
        
        private Gtk.RadioButton radioKeep;
        
        private Gtk.VBox vbox6;
        
        private Gtk.Label keepLabel;
        
        private Gtk.HBox hbox8;
        
        private Gtk.Label label27;
        
        private Gtk.Label targetName;
        
        private Gtk.HBox hbox9;
        
        private Gtk.Label label28;
        
        private Gtk.Label targetModified;
        
        private Gtk.HBox hbox5;
        
        private Gtk.RadioButton radioNewest;
        
        private Gtk.VBox vbox7;
        
        private Gtk.Label newestLabel;
        
        private Gtk.Label label20;
        
        private Gtk.CheckButton applyAll;
        
        private Gtk.Label label11;
        
        private Gtk.Button cancelButton;
        
        private Gtk.Button okButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Deployment.FileReplaceDialog
            this.Name = "MonoDevelop.Deployment.FileReplaceDialog";
            this.Title = Mono.Unix.Catalog.GetString("Replace existing file?");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.Modal = true;
            this.BorderWidth = ((uint)(6));
            this.Resizable = false;
            this.AllowGrow = false;
            this.HasSeparator = false;
            // Internal child MonoDevelop.Deployment.FileReplaceDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.Spacing = 4;
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.hbox1.Add(this.label7);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.label7]));
            w2.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.image1 = new Gtk.Image();
            this.image1.Name = "image1";
            this.image1.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-dialog-warning", Gtk.IconSize.Dialog, 48);
            this.hbox1.Add(this.image1);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.image1]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            w3.Padding = ((uint)(8));
            // Container child hbox1.Gtk.Box+BoxChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("<b><big>Deploy file already exists. Do you want to replace it?</big></b>");
            this.label5.UseMarkup = true;
            this.label5.Wrap = true;
            this.label5.Justify = ((Gtk.Justification)(3));
            this.hbox1.Add(this.label5);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.hbox1[this.label5]));
            w4.Position = 2;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label6 = new Gtk.Label();
            this.label6.Name = "label6";
            this.hbox1.Add(this.label6);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox1[this.label6]));
            w5.Position = 3;
            w1.Add(this.hbox1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(w1[this.hbox1]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("There is already a file in the target directory that has the same name as the source file. You can keep the existing target file, or overwrite it with the source file.");
            this.label2.Wrap = true;
            this.label2.Justify = ((Gtk.Justification)(3));
            w1.Add(this.label2);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(w1[this.label2]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            this.hbox2.BorderWidth = ((uint)(6));
            // Container child hbox2.Gtk.Box+BoxChild
            this.label8 = new Gtk.Label();
            this.label8.WidthRequest = 18;
            this.label8.Name = "label8";
            this.hbox2.Add(this.label8);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.hbox2[this.label8]));
            w8.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.radioReplace = new Gtk.RadioButton("");
            this.radioReplace.CanFocus = true;
            this.radioReplace.Name = "radioReplace";
            this.radioReplace.DrawIndicator = true;
            this.radioReplace.UseUnderline = true;
            this.radioReplace.Group = new GLib.SList(System.IntPtr.Zero);
            this.radioReplace.Remove(this.radioReplace.Child);
            // Container child radioReplace.Gtk.Container+ContainerChild
            this.vbox5 = new Gtk.VBox();
            this.vbox5.Name = "vbox5";
            this.vbox5.Spacing = 6;
            this.vbox5.BorderWidth = ((uint)(2));
            // Container child vbox5.Gtk.Box+BoxChild
            this.replaceLabel = new Gtk.Label();
            this.replaceLabel.Name = "replaceLabel";
            this.replaceLabel.Xalign = 0F;
            this.replaceLabel.UseMarkup = true;
            this.vbox5.Add(this.replaceLabel);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox5[this.replaceLabel]));
            w9.Position = 0;
            w9.Expand = false;
            // Container child vbox5.Gtk.Box+BoxChild
            this.hbox6 = new Gtk.HBox();
            this.hbox6.Name = "hbox6";
            this.hbox6.Spacing = 6;
            // Container child hbox6.Gtk.Box+BoxChild
            this.label25 = new Gtk.Label();
            this.label25.Name = "label25";
            this.label25.Xalign = 0F;
            this.label25.LabelProp = Mono.Unix.Catalog.GetString("Name:");
            this.label25.Justify = ((Gtk.Justification)(1));
            this.hbox6.Add(this.label25);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox6[this.label25]));
            w10.Position = 0;
            w10.Expand = false;
            w10.Fill = false;
            // Container child hbox6.Gtk.Box+BoxChild
            this.sourceName = new Gtk.Label();
            this.sourceName.Name = "sourceName";
            this.sourceName.Xalign = 0F;
            this.sourceName.Selectable = true;
            this.sourceName.Ellipsize = ((Pango.EllipsizeMode)(2));
            this.sourceName.MaxWidthChars = 35;
            this.hbox6.Add(this.sourceName);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox6[this.sourceName]));
            w11.Position = 1;
            this.vbox5.Add(this.hbox6);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox5[this.hbox6]));
            w12.Position = 1;
            w12.Expand = false;
            w12.Fill = false;
            // Container child vbox5.Gtk.Box+BoxChild
            this.hbox7 = new Gtk.HBox();
            this.hbox7.Name = "hbox7";
            this.hbox7.Spacing = 6;
            // Container child hbox7.Gtk.Box+BoxChild
            this.label26 = new Gtk.Label();
            this.label26.Name = "label26";
            this.label26.Xalign = 0F;
            this.label26.LabelProp = Mono.Unix.Catalog.GetString("Modified:");
            this.label26.Justify = ((Gtk.Justification)(1));
            this.hbox7.Add(this.label26);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox7[this.label26]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            // Container child hbox7.Gtk.Box+BoxChild
            this.sourceModified = new Gtk.Label();
            this.sourceModified.Name = "sourceModified";
            this.sourceModified.Xalign = 0F;
            this.hbox7.Add(this.sourceModified);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox7[this.sourceModified]));
            w14.Position = 1;
            this.vbox5.Add(this.hbox7);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox5[this.hbox7]));
            w15.Position = 2;
            w15.Expand = false;
            w15.Fill = false;
            this.radioReplace.Add(this.vbox5);
            this.hbox3.Add(this.radioReplace);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.hbox3[this.radioReplace]));
            w17.Position = 0;
            this.vbox4.Add(this.hbox3);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox3]));
            w18.Position = 0;
            w18.Expand = false;
            w18.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            // Container child hbox4.Gtk.Box+BoxChild
            this.radioKeep = new Gtk.RadioButton("");
            this.radioKeep.CanFocus = true;
            this.radioKeep.Name = "radioKeep";
            this.radioKeep.DrawIndicator = true;
            this.radioKeep.UseUnderline = true;
            this.radioKeep.Group = this.radioReplace.Group;
            this.radioKeep.Remove(this.radioKeep.Child);
            // Container child radioKeep.Gtk.Container+ContainerChild
            this.vbox6 = new Gtk.VBox();
            this.vbox6.Name = "vbox6";
            this.vbox6.Spacing = 6;
            this.vbox6.BorderWidth = ((uint)(2));
            // Container child vbox6.Gtk.Box+BoxChild
            this.keepLabel = new Gtk.Label();
            this.keepLabel.Name = "keepLabel";
            this.keepLabel.Xalign = 0F;
            this.keepLabel.UseMarkup = true;
            this.vbox6.Add(this.keepLabel);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.vbox6[this.keepLabel]));
            w19.Position = 0;
            // Container child vbox6.Gtk.Box+BoxChild
            this.hbox8 = new Gtk.HBox();
            this.hbox8.Name = "hbox8";
            this.hbox8.Spacing = 6;
            // Container child hbox8.Gtk.Box+BoxChild
            this.label27 = new Gtk.Label();
            this.label27.Name = "label27";
            this.label27.Xalign = 0F;
            this.label27.LabelProp = Mono.Unix.Catalog.GetString("Name:");
            this.label27.Justify = ((Gtk.Justification)(1));
            this.hbox8.Add(this.label27);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.hbox8[this.label27]));
            w20.Position = 0;
            w20.Expand = false;
            w20.Fill = false;
            // Container child hbox8.Gtk.Box+BoxChild
            this.targetName = new Gtk.Label();
            this.targetName.Name = "targetName";
            this.targetName.Xalign = 0F;
            this.targetName.Selectable = true;
            this.targetName.Ellipsize = ((Pango.EllipsizeMode)(2));
            this.targetName.MaxWidthChars = 35;
            this.hbox8.Add(this.targetName);
            Gtk.Box.BoxChild w21 = ((Gtk.Box.BoxChild)(this.hbox8[this.targetName]));
            w21.Position = 1;
            this.vbox6.Add(this.hbox8);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.vbox6[this.hbox8]));
            w22.Position = 1;
            w22.Expand = false;
            w22.Fill = false;
            // Container child vbox6.Gtk.Box+BoxChild
            this.hbox9 = new Gtk.HBox();
            this.hbox9.Name = "hbox9";
            this.hbox9.Spacing = 6;
            // Container child hbox9.Gtk.Box+BoxChild
            this.label28 = new Gtk.Label();
            this.label28.Name = "label28";
            this.label28.Xalign = 0F;
            this.label28.LabelProp = Mono.Unix.Catalog.GetString("Modified:");
            this.label28.Justify = ((Gtk.Justification)(1));
            this.hbox9.Add(this.label28);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.hbox9[this.label28]));
            w23.Position = 0;
            w23.Expand = false;
            w23.Fill = false;
            // Container child hbox9.Gtk.Box+BoxChild
            this.targetModified = new Gtk.Label();
            this.targetModified.Name = "targetModified";
            this.targetModified.Xalign = 0F;
            this.hbox9.Add(this.targetModified);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.hbox9[this.targetModified]));
            w24.Position = 1;
            this.vbox6.Add(this.hbox9);
            Gtk.Box.BoxChild w25 = ((Gtk.Box.BoxChild)(this.vbox6[this.hbox9]));
            w25.Position = 2;
            w25.Expand = false;
            w25.Fill = false;
            this.radioKeep.Add(this.vbox6);
            this.hbox4.Add(this.radioKeep);
            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.hbox4[this.radioKeep]));
            w27.Position = 0;
            this.vbox4.Add(this.hbox4);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox4]));
            w28.Position = 1;
            w28.Expand = false;
            w28.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox5 = new Gtk.HBox();
            this.hbox5.Name = "hbox5";
            this.hbox5.Spacing = 6;
            // Container child hbox5.Gtk.Box+BoxChild
            this.radioNewest = new Gtk.RadioButton("");
            this.radioNewest.CanFocus = true;
            this.radioNewest.Name = "radioNewest";
            this.radioNewest.DrawIndicator = true;
            this.radioNewest.UseUnderline = true;
            this.radioNewest.Group = this.radioReplace.Group;
            this.radioNewest.Remove(this.radioNewest.Child);
            // Container child radioNewest.Gtk.Container+ContainerChild
            this.vbox7 = new Gtk.VBox();
            this.vbox7.Name = "vbox7";
            this.vbox7.Spacing = 6;
            this.vbox7.BorderWidth = ((uint)(2));
            // Container child vbox7.Gtk.Box+BoxChild
            this.newestLabel = new Gtk.Label();
            this.newestLabel.Name = "newestLabel";
            this.newestLabel.Xalign = 0F;
            this.newestLabel.UseMarkup = true;
            this.vbox7.Add(this.newestLabel);
            Gtk.Box.BoxChild w29 = ((Gtk.Box.BoxChild)(this.vbox7[this.newestLabel]));
            w29.Position = 0;
            // Container child vbox7.Gtk.Box+BoxChild
            this.label20 = new Gtk.Label();
            this.label20.Name = "label20";
            this.label20.Xpad = 2;
            this.label20.LabelProp = Mono.Unix.Catalog.GetString("The source file will replace the existing target file if it has been modified more recently.");
            this.label20.Wrap = true;
            this.vbox7.Add(this.label20);
            Gtk.Box.BoxChild w30 = ((Gtk.Box.BoxChild)(this.vbox7[this.label20]));
            w30.Position = 1;
            this.radioNewest.Add(this.vbox7);
            this.hbox5.Add(this.radioNewest);
            Gtk.Box.BoxChild w32 = ((Gtk.Box.BoxChild)(this.hbox5[this.radioNewest]));
            w32.Position = 0;
            this.vbox4.Add(this.hbox5);
            Gtk.Box.BoxChild w33 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox5]));
            w33.Position = 2;
            w33.Expand = false;
            w33.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.applyAll = new Gtk.CheckButton();
            this.applyAll.CanFocus = true;
            this.applyAll.Name = "applyAll";
            this.applyAll.Label = Mono.Unix.Catalog.GetString("Apply this decision to _all files in this operation");
            this.applyAll.DrawIndicator = true;
            this.applyAll.UseUnderline = true;
            this.vbox4.Add(this.applyAll);
            Gtk.Box.BoxChild w34 = ((Gtk.Box.BoxChild)(this.vbox4[this.applyAll]));
            w34.Position = 3;
            w34.Expand = false;
            w34.Fill = false;
            this.hbox2.Add(this.vbox4);
            Gtk.Box.BoxChild w35 = ((Gtk.Box.BoxChild)(this.hbox2[this.vbox4]));
            w35.Position = 1;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label11 = new Gtk.Label();
            this.label11.WidthRequest = 18;
            this.label11.Name = "label11";
            this.hbox2.Add(this.label11);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.hbox2[this.label11]));
            w36.PackType = ((Gtk.PackType)(1));
            w36.Position = 2;
            w1.Add(this.hbox2);
            Gtk.Box.BoxChild w37 = ((Gtk.Box.BoxChild)(w1[this.hbox2]));
            w37.Position = 2;
            // Internal child MonoDevelop.Deployment.FileReplaceDialog.ActionArea
            Gtk.HButtonBox w38 = this.ActionArea;
            w38.Name = "dialog1_ActionArea";
            w38.Spacing = 6;
            w38.BorderWidth = ((uint)(5));
            w38.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.cancelButton = new Gtk.Button();
            this.cancelButton.CanFocus = true;
            this.cancelButton.Name = "cancelButton";
            this.cancelButton.UseUnderline = true;
            // Container child cancelButton.Gtk.Container+ContainerChild
            Gtk.Alignment w39 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w40 = new Gtk.HBox();
            w40.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w41 = new Gtk.Image();
            w41.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-cancel", Gtk.IconSize.Button, 20);
            w40.Add(w41);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w43 = new Gtk.Label();
            w43.LabelProp = Mono.Unix.Catalog.GetString("_Cancel deployment");
            w43.UseUnderline = true;
            w40.Add(w43);
            w39.Add(w40);
            this.cancelButton.Add(w39);
            this.AddActionWidget(this.cancelButton, -6);
            Gtk.ButtonBox.ButtonBoxChild w47 = ((Gtk.ButtonBox.ButtonBoxChild)(w38[this.cancelButton]));
            w47.Expand = false;
            w47.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.okButton = new Gtk.Button();
            this.okButton.CanDefault = true;
            this.okButton.CanFocus = true;
            this.okButton.Name = "okButton";
            this.okButton.UseStock = true;
            this.okButton.UseUnderline = true;
            this.okButton.Label = "gtk-ok";
            this.AddActionWidget(this.okButton, -5);
            Gtk.ButtonBox.ButtonBoxChild w48 = ((Gtk.ButtonBox.ButtonBoxChild)(w38[this.okButton]));
            w48.Position = 1;
            w48.Expand = false;
            w48.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 425;
            this.DefaultHeight = 420;
            this.okButton.HasDefault = true;
            this.Show();
            this.DeleteEvent += new Gtk.DeleteEventHandler(this.DeleteActivated);
            this.cancelButton.Clicked += new System.EventHandler(this.CancelClicked);
            this.okButton.Clicked += new System.EventHandler(this.OkClicked);
        }
    }
}
